#python siteBuilder.py blog.md "Name of Blog" "Description of Blog" blog.html

import sys, markdown

prepend = f'''<!DOCTYPE HTML>
<html lang="en">
<head>
    <title>{sys.argv[2]}</title>
    <link rel="stylesheet" type="text/css" href="css/classes.css">
    <link rel="stylesheet" type="text/css" href="/css/dark-mode.css">
    <!--<link rel="stylesheet" type="text/css" href="css/colours.css">-->
    <script src="/footer.js"></script>
    <meta property="og:type" content="website">
    <meta property="og:title" content="{sys.argv[2]}" />
    <meta property="og:description" content="{sys.argv[3]}" />
    <meta property="og:url" content="https://www.ruthenic.com/blog/entries/{sys.argv[4]}" />
</head>
<body>
	<script>
		getFooter("/blog/entries/footer.html")
	</script>
'''

append = f'''
    <div style="position:relative;margin-bottom:105px;"></div>
    <div id="footer">
    </div>
</body>
</html>
'''

with open(sys.argv[1]) as imp:
    html = markdown.markdown(imp.read())

html = prepend + html + append

with open(sys.argv[4], 'w') as out:
    out.write(html)
